%define upstream_name    CPAN-Dependency
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Analyzes CPAN modules and generates their dependency tree
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPANPLUS) >= 0.820.0
BuildRequires: perl(DBD::SQLite) >= 1.0.0
BuildRequires: perl(DBI) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp) >= 9999.120.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Module::CoreList) >= 2.120.0
BuildRequires: perl(Module::Pluggable) >= 4.800.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(YAML) >= 0.660.0
BuildArch:  noarch

%description
This module can process a set of distributions, up to the whole CPAN, and
extract the dependency relations between these distributions.
Alternatively, it can load the prerequisites information from a CPANTS
database. 

It also calculates a score for each distribution based on the number of
times it appears in the prerequisites of other distributions. The algorithm
is described in more details in the "SCORE CALCULATION" manpage. 

'CPAN::Dependency' stores the data in an internal structure which can be
saved and loaded using 'save_deps_tree()' and 'load_deps_tree()'. The
structure looks like this: 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.160.0-7.mga6
+ Revision: 1024431
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.160.0-6.mga6
+ Revision: 932446
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-5.mga5
+ Revision: 746603
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-4.mga5
+ Revision: 683670
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.160.0-3.mga4
+ Revision: 538446
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 0.160.0-2.mga4
+ Revision: 489686
- Add missing BR

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 363605
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 294943
- update to 0.16

* Wed Jan 26 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 41005
- mageia rebuild
- imported package perl-CPAN-Dependency

